Page MenuHomePhabricator

Hit counters should use wfLoadExtension
Closed, InvalidPublic

Description

I'm getting this message while testing Hitcounters.

Debug output:
[warning] Deprecated PHP entry point used for HitCounters extension. Please use wfLoadExtension instead, see https://www.mediawiki.org/wiki/Extension_registration for more details. [Called from {closure} in /var/www/html/w/extensions/HitCounters/HitCounters.php at line 47]
[warning] Deprecated PHP entry point used for MultiBoilerplate extension. Please use wfLoadExtension instead, see ~

Event Timeline

Ckoerner created this task.Sep 2 2015, 9:14 PM
Ckoerner raised the priority of this task from to Needs Triage.
Ckoerner updated the task description. (Show Details)
Ckoerner added a subscriber: Ckoerner.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 9:14 PM
Legoktm added a subscriber: Legoktm.Sep 2 2015, 9:22 PM

Those messages mean that you (as a sysadmin) should be using wfLoadExtension() in your LocalSettings.php instead of require_once "....". HitCounters does have an extension.json file and supports wfLoadExtension().

The more you know! Thanks @Legoktm.

Ckoerner closed this task as Invalid.Sep 2 2015, 9:33 PM
Ckoerner set Security to None.